<?php

class mosValidUserBot {
	
	function register () {
		return 'requiredLogin';
	}

	function perform ($loginobject) {
		$username = $loginobject->getUser();
		$passwd = md5($loginobject->getPassword());
		$remember = $loginobject->getRemember();
		$authenticator =& mamboAuthenticator::getInstance();
		$checkuser = $authenticator->authenticateUser($message, $username, $passwd, $remember);
		return $message;
	}
}

?>
